# Svc_Conf_Lexer.cpp File Reference

`#include "ace/Svc_Conf_Lexer.h"`
`#include "ace/Svc_Conf_Tokens.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Static_Object_Lock.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_ctype.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/os_include/os_ctype.h"`
`#include "ace/Auto_Ptr.h"`

Include dependency graph for Svc_Conf_Lexer.cpp:

## Classes

struct | ace_yy_buffer_state

## Defines

#define | ACE_YY_BUF_SIZE 4096
#define | ACE_MAX_BYTES_PER_CHAR 4
#define | ACE_YY_CONVERSION_SPACE ACE_YY_BUF_SIZE * ACE_MAX_BYTES_PER_CHAR
#define | ACE_TEMPORARY_STRING(X, SIZE)
#define | ACE_NO_STATE -1
#define | ACE_COMMENT 0

## Functions

int | ace_yylex (ACE_YYSTYPE *ace_yylval, void *ACE_YYLEX_PARAM)
void | ace_yy_delete_buffer (ace_yy_buffer_state *buffer)
size_t | normalize (size_t length)

## Define Documentation

#define ACE_COMMENT 0

#define ACE_MAX_BYTES_PER_CHAR 4

#define ACE_NO_STATE -1

#define ACE_TEMPORARY_STRING | ( | X,
|  | SIZE |  | ) |

Value:

    char* X = 0; \
       char X ## buf[ACE_YY_BUF_SIZE]; \
       ACE_Auto_Ptr<char> X ## bufp (0); \
       if (SIZE > ACE_YY_BUF_SIZE) { \
         X ## bufp.reset (new char[SIZE]); \
         X = X ## bufp.get (); \
       } \
       else { \
         X = X ## buf; \
       }

#define ACE_YY_BUF_SIZE 4096

#define ACE_YY_CONVERSION_SPACE ACE_YY_BUF_SIZE * ACE_MAX_BYTES_PER_CHAR

## Function Documentation

void ace_yy_delete_buffer | ( | ace_yy_buffer_state * | buffer | ) |

int ace_yylex | ( | ACE_YYSTYPE * | ace_yylval,
|  | void * | ACE_YYLEX_PARAM
| ) |

size_t normalize | ( | size_t | length | ) | `[inline]`